跳转到主要内容
POST
/
auth
/
signup
cURL
curl --request POST \
  --url https://app.teable.ai/api/auth/signup \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"email":"user@example.com","password":"stringst","turnstileToken":"string","defaultSpaceName":"string","refMeta":{"query":"string","referer":"string"},"verification":{"code":"string","token":"string"},"inviteCode":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "email": "jsmith@example.com",
  "notifyMeta": {
    "email": true
  },
  "hasPassword": true,
  "avatar": "<string>",
  "phone": "<string>",
  "isAdmin": true,
  "lang": "<string>",
  "organization": {
    "id": "<string>",
    "name": "<string>",
    "departments": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "isAdmin": true
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
email
string<email>
必填
password
string
必填
Minimum string length: 8
Pattern: ^(?=.*[A-Z])(?=.*\d).{8,}$/i
turnstileToken
string
defaultSpaceName
string
refMeta
object
verification
object
inviteCode
string

响应

201 - application/json

Sign up and sing in successfully

id
string
必填
name
string
必填
email
string<email>
必填
notifyMeta
object
必填
hasPassword
boolean
必填
avatar
string | null
phone
string | null
isAdmin
boolean | null
lang
string | null
organization
object
Last modified on March 5, 2026